Package org.opensaml.security.crypto

# Class JCAConstants

java.lang.Object
org.opensaml.security.crypto.JCAConstants

public final class JCAConstants extends Object
Various useful constants defined in and/or used with the Java Cryptography Architecture (JCA) specification.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CIPHER_MODE_CBC`
Cipher mode: "CBC".
`static final String`
`CIPHER_MODE_ECB`
Cipher mode: "ECB".
`static final String`
`CIPHER_MODE_GCM`
Cipher mode: "GCM".
`static final String`
`CIPHER_PADDING_ISO10126`
Cipher padding: "ISO10126Padding".
`static final String`
`CIPHER_PADDING_NONE`
Cipher padding: "NoPadding".
`static final String`
`CIPHER_PADDING_OAEP`
Cipher padding: "OAEPPadding".
`static final String`
`CIPHER_PADDING_PKCS1`
Cipher padding: "PKCS1Padding".
`static final String`
`DIGEST_MD5`
Digest algorithm: "MD5".
`static final String`
`DIGEST_RIPEMD160`
Digest algorithm: "RIPEMD160".
`static final String`
`DIGEST_SHA1`
Digest algorithm: "SHA-1".
`static final String`
`DIGEST_SHA224`
Digest algorithm: "SHA-224".
`static final String`
`DIGEST_SHA256`
Digest algorithm: "SHA-256".
`static final String`
`DIGEST_SHA3_224`
Digest algorithm: "SHA-512".
`static final String`
`DIGEST_SHA3_256`
Digest algorithm: "SHA-512".
`static final String`
`DIGEST_SHA3_384`
Digest algorithm: "SHA-512".
`static final String`
`DIGEST_SHA3_512`
Digest algorithm: "SHA-512".
`static final String`
`DIGEST_SHA384`
Digest algorithm: "SHA-384".
`static final String`
`DIGEST_SHA512`
Digest algorithm: "SHA-512".
`static final String`
`HMAC_MD5`
MAC algorithm: "HmacMD5".
`static final String`
`HMAC_RIPEMD160`
MAC algorithm: "HMACRIPEMD160".
`static final String`
`HMAC_SHA1`
MAC algorithm: "HmacSHA1".
`static final String`
`HMAC_SHA224`
MAC algorithm: "HmacSHA224".
`static final String`
`HMAC_SHA256`
MAC algorithm: "HmacSHA256".
`static final String`
`HMAC_SHA384`
MAC algorithm: "HmacSHA384".
`static final String`
`HMAC_SHA512`
MAC algorithm: "HmacSHA512".
`static final String`
`KEY_AGREEMENT_DH`
Key Agreement algorithm: Diffie-Hellman.
`static final String`
`KEY_AGREEMENT_ECDH`
Key Agreement algorithm: Elliptic Curve Diffie-Hellman.
`static final String`
`KEY_ALGO_AES`
Key algorithm: "AES".
`static final String`
`KEY_ALGO_DES`
Key algorithm: "DES".
`static final String`
`KEY_ALGO_DESEDE`
Key algorithm: "DESede".
`static final String`
`KEY_ALGO_DH`
Key algorithm: "DH" (returned by `Key.getAlgorithm()`).
`static final String`
`KEY_ALGO_DIFFIE_HELLMAN`
Key algorithm: "DiffieHellman" (used with key and key pair factories, generators, etc).
`static final String`
`KEY_ALGO_DSA`
Key algorithm: "DSA".
`static final String`
`KEY_ALGO_EC`
Key algorithm: "EC".
`static final String`
`KEY_ALGO_RSA`
Key algorithm: "RSA".
`static final String`
`KEY_FORMAT_RAW`
Key format: "RAW".
`static final String`
`KEYWRAP_ALGO_AES`
Symmetric key wrap algorithm: "AESWrap".
`static final String`
`KEYWRAP_ALGO_DESEDE`
Symmetric key wrap algorithm: "DESedeWrap".
`static final String`
`SIGNATURE_DSA_SHA1`
Signature algorithm: "SHA1withDSA".
`static final String`
`SIGNATURE_DSA_SHA224`
Signature algorithm: "SHA224withDSA".
`static final String`
`SIGNATURE_DSA_SHA256`
Signature algorithm: "SHA256withDSA".
`static final String`
`SIGNATURE_ECDSA_SHA1`
Signature algorithm: "SHA1withECDSA".
`static final String`
`SIGNATURE_ECDSA_SHA224`
Signature algorithm: "SHA224withECDSA".
`static final String`
`SIGNATURE_ECDSA_SHA256`
Signature algorithm: "SHA256withECDSA".
`static final String`
`SIGNATURE_ECDSA_SHA384`
Signature algorithm: "SHA384withECDSA".
`static final String`
`SIGNATURE_ECDSA_SHA512`
Signature algorithm: "SHA512withECDSA".
`static final String`
`SIGNATURE_RSA_MD5`
Signature algorithm: "MD5withRSA".
`static final String`
`SIGNATURE_RSA_RIPEMD160`
Signature algorithm: "RIPEMD160withRSA".
`static final String`
`SIGNATURE_RSA_SHA1`
Signature algorithm: "SHA1withRSA".
`static final String`
`SIGNATURE_RSA_SHA1_MGF1`
Signature algorithm: "SHA1withRSAandMGF1".
`static final String`
`SIGNATURE_RSA_SHA224`
Signature algorithm: "SHA224withRSA".
`static final String`
`SIGNATURE_RSA_SHA224_MGF1`
Signature algorithm: "SHA224withRSAandMGF1".
`static final String`
`SIGNATURE_RSA_SHA256`
Signature algorithm: "SHA256withRSA".
`static final String`
`SIGNATURE_RSA_SHA256_MGF1`
Signature algorithm: "SHA256withRSAandMGF1".
`static final String`
`SIGNATURE_RSA_SHA3_224_MGF1`
Signature algorithm: "SHA3-224withRSAandMGF1".
`static final String`
`SIGNATURE_RSA_SHA3_256_MGF1`
Signature algorithm: "SHA3-256withRSAandMGF1".
`static final String`
`SIGNATURE_RSA_SHA3_384_MGF1`
Signature algorithm: "SHA3-384withRSAandMGF1".
`static final String`
`SIGNATURE_RSA_SHA3_512_MGF1`
Signature algorithm: "SHA3-512withRSAandMGF1".
`static final String`
`SIGNATURE_RSA_SHA384`
Signature algorithm: "SHA384withRSA".
`static final String`
`SIGNATURE_RSA_SHA384_MGF1`
Signature algorithm: "SHA384withRSAandMGF1".
`static final String`
`SIGNATURE_RSA_SHA512`
Signature algorithm: "SHA512withRSA".
`static final String`
`SIGNATURE_RSA_SHA512_MGF1`
Signature algorithm: "SHA512withRSAandMGF1".
`static final String`
`SIGNATURE_RSA_SSA_PSS`
Signature algorithm: "RSASSA-PSS".

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`JCAConstants()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### KEY_ALGO_RSA

@Nonnull @NotEmpty public static final String KEY_ALGO_RSA
Key algorithm: "RSA".

See Also:
  - Constant Field Values

### KEY_ALGO_DSA

@Nonnull @NotEmpty public static final String KEY_ALGO_DSA
Key algorithm: "DSA".

See Also:
  - Constant Field Values

### KEY_ALGO_EC

@Nonnull @NotEmpty public static final String KEY_ALGO_EC
Key algorithm: "EC".

See Also:
  - Constant Field Values

### KEY_ALGO_AES

@Nonnull @NotEmpty public static final String KEY_ALGO_AES
Key algorithm: "AES".

See Also:
  - Constant Field Values

### KEY_ALGO_DES

@Nonnull @NotEmpty public static final String KEY_ALGO_DES
Key algorithm: "DES".

See Also:
  - Constant Field Values

### KEY_ALGO_DESEDE

@Nonnull @NotEmpty public static final String KEY_ALGO_DESEDE
Key algorithm: "DESede".

See Also:
  - Constant Field Values

### KEY_ALGO_DH

@Nonnull @NotEmpty public static final String KEY_ALGO_DH
Key algorithm: "DH" (returned by `Key.getAlgorithm()`).

See Also:
  - Constant Field Values

### KEY_ALGO_DIFFIE_HELLMAN

@Nonnull @NotEmpty public static final String KEY_ALGO_DIFFIE_HELLMAN
Key algorithm: "DiffieHellman" (used with key and key pair factories, generators, etc).

See Also:
  - Constant Field Values

### KEY_FORMAT_RAW

@Nonnull @NotEmpty public static final String KEY_FORMAT_RAW
Key format: "RAW".

See Also:
  - Constant Field Values

### CIPHER_MODE_ECB

@Nonnull @NotEmpty public static final String CIPHER_MODE_ECB
Cipher mode: "ECB".

See Also:
  - Constant Field Values

### CIPHER_MODE_CBC

@Nonnull @NotEmpty public static final String CIPHER_MODE_CBC
Cipher mode: "CBC".

See Also:
  - Constant Field Values

### CIPHER_MODE_GCM

@Nonnull @NotEmpty public static final String CIPHER_MODE_GCM
Cipher mode: "GCM".

See Also:
  - Constant Field Values

### CIPHER_PADDING_NONE

@Nonnull @NotEmpty public static final String CIPHER_PADDING_NONE
Cipher padding: "NoPadding".

See Also:
  - Constant Field Values

### CIPHER_PADDING_ISO10126

@Nonnull @NotEmpty public static final String CIPHER_PADDING_ISO10126
Cipher padding: "ISO10126Padding".

See Also:
  - Constant Field Values

### CIPHER_PADDING_PKCS1

@Nonnull @NotEmpty public static final String CIPHER_PADDING_PKCS1
Cipher padding: "PKCS1Padding".

See Also:
  - Constant Field Values

### CIPHER_PADDING_OAEP

@Nonnull @NotEmpty public static final String CIPHER_PADDING_OAEP
Cipher padding: "OAEPPadding".

See Also:
  - Constant Field Values

### KEYWRAP_ALGO_DESEDE

@Nonnull @NotEmpty public static final String KEYWRAP_ALGO_DESEDE
Symmetric key wrap algorithm: "DESedeWrap".

See Also:
  - Constant Field Values

### KEYWRAP_ALGO_AES

@Nonnull @NotEmpty public static final String KEYWRAP_ALGO_AES
Symmetric key wrap algorithm: "AESWrap".

See Also:
  - Constant Field Values

### DIGEST_MD5

@Nonnull @NotEmpty public static final String DIGEST_MD5
Digest algorithm: "MD5".

See Also:
  - Constant Field Values

### DIGEST_RIPEMD160

@Nonnull @NotEmpty public static final String DIGEST_RIPEMD160
Digest algorithm: "RIPEMD160".

See Also:
  - Constant Field Values

### DIGEST_SHA1

@Nonnull @NotEmpty public static final String DIGEST_SHA1
Digest algorithm: "SHA-1".

See Also:
  - Constant Field Values

### DIGEST_SHA224

@Nonnull @NotEmpty public static final String DIGEST_SHA224
Digest algorithm: "SHA-224".

See Also:
  - Constant Field Values

### DIGEST_SHA256

@Nonnull @NotEmpty public static final String DIGEST_SHA256
Digest algorithm: "SHA-256".

See Also:
  - Constant Field Values

### DIGEST_SHA384

@Nonnull @NotEmpty public static final String DIGEST_SHA384
Digest algorithm: "SHA-384".

See Also:
  - Constant Field Values

### DIGEST_SHA512

@Nonnull @NotEmpty public static final String DIGEST_SHA512
Digest algorithm: "SHA-512".

See Also:
  - Constant Field Values

### DIGEST_SHA3_224

@Nonnull @NotEmpty public static final String DIGEST_SHA3_224
Digest algorithm: "SHA-512".

See Also:
  - Constant Field Values

### DIGEST_SHA3_256

@Nonnull @NotEmpty public static final String DIGEST_SHA3_256
Digest algorithm: "SHA-512".

See Also:
  - Constant Field Values

### DIGEST_SHA3_384

@Nonnull @NotEmpty public static final String DIGEST_SHA3_384
Digest algorithm: "SHA-512".

See Also:
  - Constant Field Values

### DIGEST_SHA3_512

@Nonnull @NotEmpty public static final String DIGEST_SHA3_512
Digest algorithm: "SHA-512".

See Also:
  - Constant Field Values

### SIGNATURE_DSA_SHA1

@Nonnull @NotEmpty public static final String SIGNATURE_DSA_SHA1
Signature algorithm: "SHA1withDSA".

See Also:
  - Constant Field Values

### SIGNATURE_DSA_SHA224

@Nonnull @NotEmpty public static final String SIGNATURE_DSA_SHA224
Signature algorithm: "SHA224withDSA".

See Also:
  - Constant Field Values

### SIGNATURE_DSA_SHA256

@Nonnull @NotEmpty public static final String SIGNATURE_DSA_SHA256
Signature algorithm: "SHA256withDSA".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_MD5

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_MD5
Signature algorithm: "MD5withRSA".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_RIPEMD160

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_RIPEMD160
Signature algorithm: "RIPEMD160withRSA".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SHA1

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SHA1
Signature algorithm: "SHA1withRSA".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SHA224

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SHA224
Signature algorithm: "SHA224withRSA".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SHA256

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SHA256
Signature algorithm: "SHA256withRSA".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SHA384

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SHA384
Signature algorithm: "SHA384withRSA".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SHA512

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SHA512
Signature algorithm: "SHA512withRSA".

See Also:
  - Constant Field Values

### SIGNATURE_ECDSA_SHA1

@Nonnull @NotEmpty public static final String SIGNATURE_ECDSA_SHA1
Signature algorithm: "SHA1withECDSA".

See Also:
  - Constant Field Values

### SIGNATURE_ECDSA_SHA224

@Nonnull @NotEmpty public static final String SIGNATURE_ECDSA_SHA224
Signature algorithm: "SHA224withECDSA".

See Also:
  - Constant Field Values

### SIGNATURE_ECDSA_SHA256

@Nonnull @NotEmpty public static final String SIGNATURE_ECDSA_SHA256
Signature algorithm: "SHA256withECDSA".

See Also:
  - Constant Field Values

### SIGNATURE_ECDSA_SHA384

@Nonnull @NotEmpty public static final String SIGNATURE_ECDSA_SHA384
Signature algorithm: "SHA384withECDSA".

See Also:
  - Constant Field Values

### SIGNATURE_ECDSA_SHA512

@Nonnull @NotEmpty public static final String SIGNATURE_ECDSA_SHA512
Signature algorithm: "SHA512withECDSA".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SHA1_MGF1

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SHA1_MGF1
Signature algorithm: "SHA1withRSAandMGF1".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SHA224_MGF1

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SHA224_MGF1
Signature algorithm: "SHA224withRSAandMGF1".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SHA256_MGF1

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SHA256_MGF1
Signature algorithm: "SHA256withRSAandMGF1".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SHA384_MGF1

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SHA384_MGF1
Signature algorithm: "SHA384withRSAandMGF1".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SHA512_MGF1

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SHA512_MGF1
Signature algorithm: "SHA512withRSAandMGF1".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SHA3_224_MGF1

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SHA3_224_MGF1
Signature algorithm: "SHA3-224withRSAandMGF1".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SHA3_256_MGF1

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SHA3_256_MGF1
Signature algorithm: "SHA3-256withRSAandMGF1".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SHA3_384_MGF1

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SHA3_384_MGF1
Signature algorithm: "SHA3-384withRSAandMGF1".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SHA3_512_MGF1

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SHA3_512_MGF1
Signature algorithm: "SHA3-512withRSAandMGF1".

See Also:
  - Constant Field Values

### SIGNATURE_RSA_SSA_PSS

@Nonnull @NotEmpty public static final String SIGNATURE_RSA_SSA_PSS
Signature algorithm: "RSASSA-PSS".

See Also:
  - Constant Field Values

### HMAC_MD5

@Nonnull @NotEmpty public static final String HMAC_MD5
MAC algorithm: "HmacMD5".

See Also:
  - Constant Field Values

### HMAC_RIPEMD160

@Nonnull @NotEmpty public static final String HMAC_RIPEMD160
MAC algorithm: "HMACRIPEMD160".

See Also:
  - Constant Field Values

### HMAC_SHA1

@Nonnull @NotEmpty public static final String HMAC_SHA1
MAC algorithm: "HmacSHA1".

See Also:
  - Constant Field Values

### HMAC_SHA224

@Nonnull @NotEmpty public static final String HMAC_SHA224
MAC algorithm: "HmacSHA224".

See Also:
  - Constant Field Values

### HMAC_SHA256

@Nonnull @NotEmpty public static final String HMAC_SHA256
MAC algorithm: "HmacSHA256".

See Also:
  - Constant Field Values

### HMAC_SHA384

@Nonnull @NotEmpty public static final String HMAC_SHA384
MAC algorithm: "HmacSHA384".

See Also:
  - Constant Field Values

### HMAC_SHA512

@Nonnull @NotEmpty public static final String HMAC_SHA512
MAC algorithm: "HmacSHA512".

See Also:
  - Constant Field Values

### KEY_AGREEMENT_DH

@Nonnull @NotEmpty public static final String KEY_AGREEMENT_DH
Key Agreement algorithm: Diffie-Hellman.

See Also:
  - Constant Field Values

### KEY_AGREEMENT_ECDH

@Nonnull @NotEmpty public static final String KEY_AGREEMENT_ECDH
Key Agreement algorithm: Elliptic Curve Diffie-Hellman.

See Also:
  - Constant Field Values

## Constructor Details

### JCAConstants

private JCAConstants()
Constructor. Private to disable instantiation.